> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cross-chain payin quote

> Create a quote to deposit from any chain to Base USDC.



## OpenAPI

````yaml /openapi.json post /api/v1/balance/payin/quote
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/balance/payin/quote:
    post:
      tags:
        - Balance
      summary: Get cross-chain payin quote
      description: Create a quote to deposit from any chain to Base USDC.
      operationId: create_payin_quote_api_v1_balance_payin_quote_post
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayinQuoteRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UniversalQuoteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PayinQuoteRequest:
      properties:
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        currency:
          type: string
          title: Currency
        originChainId:
          $ref: '#/components/schemas/OneClickChain'
        swapType:
          $ref: '#/components/schemas/SwapType'
          default: FLEX_INPUT
      type: object
      required:
        - currency
        - originChainId
      title: PayinQuoteRequest
      description: Request for cross-chain payin quote.
    UniversalQuoteResponse:
      properties:
        quoteId:
          type: string
          title: Quoteid
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        paymentChannel:
          type: string
          title: Paymentchannel
        fromAmount:
          type: number
          title: Fromamount
        fromCurrency:
          type: string
          title: Fromcurrency
        toAmount:
          type: number
          title: Toamount
        depositMemo:
          anyOf:
            - type: string
            - type: 'null'
          title: Depositmemo
        toCurrency:
          type: string
          title: Tocurrency
        feeAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Feeamount
        feeCurrency:
          anyOf:
            - type: string
            - type: 'null'
          title: Feecurrency
        rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Rate
        expiresAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expiresat
        maskedIban:
          anyOf:
            - type: string
            - type: 'null'
          title: Maskediban
        depositAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Depositaddress
        recipientAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientaddress
        originChainId:
          anyOf:
            - type: string
            - type: 'null'
          title: Originchainid
        destinationChainId:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationchainid
        transactionRequest:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Transactionrequest
      type: object
      required:
        - quoteId
        - paymentChannel
        - fromAmount
        - fromCurrency
        - toAmount
        - toCurrency
      title: UniversalQuoteResponse
      description: Universal quote response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OneClickChain:
      type: string
      enum:
        - eth
        - bsc
        - avax
        - op
        - arb
        - pol
        - sol
        - base
        - gnosis
        - tron
        - xrp
        - zec
        - doge
        - ltc
        - btc
        - cardano
        - bera
        - sui
        - near
        - near_intents
        - xlayer
        - plasma
        - ton
        - stellar
        - monad
        - starknet
        - aptos
        - adi
        - bch
      title: OneClickChain
      description: 1click chain codes.
    SwapType:
      type: string
      enum:
        - EXACT_INPUT
        - EXACT_OUTPUT
        - FLEX_INPUT
        - ANY_INPUT
      title: SwapType
      description: Type of swap quote.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````